{ config, pkgs, ... }:

{
  services = {
    # dconf is required for setting GTK themes, see home.nix
    dbus.packages = with pkgs; [ dconf ];
    xserver = {
      enable = true;
      libinput = {
        enable = true;
        touchpad = {
          naturalScrolling = true;
          tapping = true;
        };
      };
      xkbOptions = "caps:escape";
      displayManager = {
      	lightdm.enable = true;
        autoLogin = {
          enable = true;
          user = "elnu";
        };
        defaultSession = "none+i3";
      };
      windowManager.i3 = {
        enable = true;
        package = pkgs.i3-gaps;
      };
    };
  };

  sound.enable = true;
  hardware.pulseaudio.enable = true;
  nixpkgs.config.pulseaudio = true;

  fonts.fonts = with pkgs; [
    noto-fonts
    noto-fonts-cjk
    (nerdfonts.override { fonts = [ "FiraCode" ]; }) # required for icons
  ];
}
